org.apache.ignite.cache.query

## Interface QueryDetailMetrics

All Known Implementing Classes:
  GridCacheQueryDetailMetricsAdapter

    public interface QueryDetailMetrics

Query metrics aggregated by query type and its textual representation. Query detail metrics could be enabled via `CacheConfiguration.setQueryDetailMetricsSize(int)` method.

### Method Summary

All Methods Instance Methods Abstract Methods
`double` `averageTime()` Gets average execution time of query.
`String` `cache()`
`int` `completions()` Gets number of completed execution of query.
`int` `executions()` Gets total number execution of query.
`int` `failures()` Gets number of times a query execution failed.
`long` `lastStartTime()` Gets latest query start time.
`long` `maximumTime()` Gets maximum execution time of query.
`long` `minimumTime()` Gets minimum execution time of query.
`String` `query()`
`String` `queryType()`
`long` `totalTime()` Gets total time of all query executions.

### Method Detail

#### queryType

    String queryType()

Returns:
  Query type.

#### query

    String query()

Returns:
  Textual representation of query.

#### cache

    String cache()

Returns:
  Cache where query was executed.

#### executions

    int executions()

Gets total number execution of query.

Returns:
  Number of executions.

#### completions

    int completions()

Gets number of completed execution of query.

Returns:
  Number of completed executions.

#### failures

    int failures()

Gets number of times a query execution failed.

Returns:
  Number of times a query execution failed.

#### minimumTime

    long minimumTime()

Gets minimum execution time of query.

Returns:
  Minimum execution time of query.

#### maximumTime

    long maximumTime()

Gets maximum execution time of query.

Returns:
  Maximum execution time of query.

#### averageTime

    double averageTime()

Gets average execution time of query.

Returns:
  Average execution time of query.

#### totalTime

    long totalTime()

Gets total time of all query executions.

Returns:
  Total time of all query executions.

#### lastStartTime

    long lastStartTime()

Gets latest query start time.

Returns:
  Latest time query was stared.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020